Package org.eclipse.emf.compare.internal.domain

# Interface IMergeAllNonConflictingRunnable

All Known Implementing Classes:
  `MergeNonConflictingRunnable`

public interface IMergeAllNonConflictingRunnable
The basic contract for a "merge all non-conflicting" differences.

## Method Summary

Modifier and Type
Method
Description
`Iterable<Diff>`
`merge(Comparison comparison, boolean leftToRight, IMerger.Registry mergerRegistry)`
Merges all non-conflicting differences from the given comparison in either direction.

## Method Details

### merge

Iterable<Diff> merge(Comparison comparison, boolean leftToRight, IMerger.Registry mergerRegistry)
Merges all non-conflicting differences from the given comparison in either direction.

Parameters:
  `comparison` - The comparison which differences we are to merge.
  `leftToRight` - Direction of the merge operation.
  `mergerRegistry` - The registry to query for the appropriate merger for each difference.
Returns:
  an iterable over the differences that have actually been merged by this operation.